Package org.springframework.security.web.access.intercept

# Class RequestKey

java.lang.Object
org.springframework.security.web.access.intercept.RequestKey

public class RequestKey extends Object

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`RequestKey(String url)`
`RequestKey(String url, String method)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RequestKey

public RequestKey(String url)

### RequestKey

public RequestKey(String url, String method)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`